

Imports System
Imports System.Collections.ObjectModel
Imports System.Drawing
Imports System.Windows.Forms
Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.DesktopEdition


Public Class Form1

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub SelectFeatures_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load

        Dim shpFile As String = "D:\ThinkGeo\Map Suite Desktop Full Edition 5.5\Samples\SampleData\Data\Countries02.shp"

        WinformsMap1.MapUnit = GeographyUnit.DecimalDegree
        WinformsMap1.BackgroundOverlay.BackgroundBrush = New GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean)

        Dim worldMapKitDesktopOverlay As WorldMapKitWmsDesktopOverlay = New WorldMapKitWmsDesktopOverlay()
        WinformsMap1.Overlays.Add(worldMapKitDesktopOverlay)


        'MultipleShapeFileFeatureLayer -> GetFeaturesContaining = 0
        Dim shp() As String = {shpFile}
        Dim worldLayer As New MultipleShapeFileFeatureLayer(shp)

        'ShapeFileFeatureLayer -> OK
        'Dim worldLayer As New ShapeFileFeatureLayer(shpFile)

        worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, GeoColor.SimpleColors.Green))
        worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20

        Dim staticOverlay As New LayerOverlay()
        staticOverlay.Layers.Add("WorldLayer", worldLayer)
        WinformsMap1.Overlays.Add(staticOverlay)

        AddHandler WinformsMap1.MapClick, AddressOf winformsMap1_MapClick

        WinformsMap1.CurrentExtent = New RectangleShape(-139.2, 92.4, 120.9, -93.2)
        WinformsMap1.Refresh()
    End Sub

    Private Sub winformsMap1_MapClick(ByVal sender As Object, ByVal e As MapClickWinformsMapEventArgs)
        Dim worldLayer As FeatureLayer = winformsMap1.FindFeatureLayer("WorldLayer")

        worldLayer.Open()
        Dim selectedFeatures As Collection(Of Feature) = worldLayer.QueryTools.GetFeaturesContaining(e.WorldLocation, New String(0) {"CNTRY_NAME"})


        If selectedFeatures.Count > 0 Then
            Dim text As String = "The country you selected is: " & selectedFeatures(0).ColumnValues("CNTRY_NAME").Trim()
            MessageBox.Show("GetFeaturesContaining = " & selectedFeatures.Count & "/" & worldLayer.QueryTools.GetCount & ControlChars.CrLf & text, "Note", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, CType(0, MessageBoxOptions))
            System.Diagnostics.Debug.WriteLine(text)
        Else

            MessageBox.Show("GetFeaturesContaining = " & selectedFeatures.Count & "/" & worldLayer.QueryTools.GetCount, "Note", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, CType(0, MessageBoxOptions))

        End If

        worldLayer.Close()
    End Sub





End Class
